petsc-3.4.2 2013-07-02

# MatSchurComplementGetSubmatrices

Get the individual submatrices in the Schur complement

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  MatSchurComplementGetSubmatrices(Mat N,Mat *A,Mat *Ap,Mat *B,Mat *C,Mat *D)

Collective on Mat

### Input Parameters

| N | - the matrix obtained with MatCreateSchurComplement()
| A,B,C,D | - the four parts of the original matrix (D is optional)

### Note

D is optional, and thus can be NULL

### See Also

MatCreateNormal(), MatMult(), MatCreate(), MatSchurComplementGetKSP(), MatCreateSchurComplement(), MatSchurComplementUpdate()

Level:intermediate
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages